#!/bin/sh -efu

. install2-init-functions

DOMAINNAME="${DOMAINNAME:-}"
DNS_SERVER="${DNS_SERVER:-}"
DNS_SERVER2="${DNS_SERVER2:-}"
IPADDR="${IPADDR:-}"
HOSTNAME="${HOSTNAME:-}"

# Rewrite resolv.conf
touch /etc/resolv.conf
[ -z "$DOMAINNAME" ]  || printf '%s\n' "search $DOMAINNAME" >>/etc/resolv.conf
[ -z "$DNS_SERVER" ]  || printf '%s\n' "nameserver $DNS_SERVER" >>/etc/resolv.conf
[ -z "$DNS_SERVER2" ] || printf '%s\n' "nameserver $DNS_SERVER2" >>/etc/resolv.conf

# Rewrite hosts
echo '127.0.0.1 localhost.localdomain localhost' > /etc/hosts
[ -z "$IPADDR" -o -z "$HOSTNAME" ] ||
	printf '%s\n' "$IPADDR $HOSTNAME${DOMAINNAME:+.$DOMAINNAME $HOSTANME}" >> /etc/hosts

[ ! -x '/sbin/update_chrooted' ] || /sbin/update_chrooted all
