#!/bin/sh -efu

. install2-init-functions

METHOD="${METHOD:-cdrom}"
HOST="${HOST:-}"
PREFIX="${PREFIX:-}"

[ "$PREFIX" != "/" ] || PREFIX=

image_prefix=
case "$METHOD" in
	http|ftp)
		    image_prefix="$METHOD://$HOST$PREFIX"
		    ;;
	cdrom|disk|nfs)
		    image_prefix="$image_dir"
		    ;;
esac

metadir="/tmp/metadata"

mkdir -p "$metadir"
cp-metadata "$metadir/basesystem.manifest" &&
    sed -i -r -e "s#^(.*)#$image_prefix/ALTLinux/RPMS.base/\1#" "$metadir/basesystem.manifest" || :
