#!/bin/sh -efu

. install2-init-functions

[ "$METHOD" = "cdrom" ] || exit 0

printf '%s\t%s\t%s\t%s\t%s\n' "$CDROMDEV" "$cdrom_stage3" "udf,iso9660" "ro,noauto,user,utf8" "0 0" >> "$destdir/etc/fstab"
run_chroot apt-cdrom --cdrom "$cdrom_stage3" --no-mount -o dir::etc=/etc/apt/sources.list.d add

[ ! -s $destdir/etc/apt/apt.conf ] ||
    sed  's/Acquire::CDROM::Copy.*/Acquire::CDROM::Copy-All "false";/' -i $destdir/etc/apt/apt.conf
