#!/bin/sh -eu

. install2-init-functions

exclude= 
dev=
mpoint=
fstype=
opts=
dummy=
while read dev mpoint fstype opts dummy; do
    [ "$mpoint" = '/' -o "$mpoint" = "$image_dir" ] || continue
    [ -n "${dev%%/dev/*}" ] || exclude="$exclude ${dev##*/}*"
done < /proc/mounts

for n in /proc/ide/hd*/media
do
	if [ "`cat $n`" == 'cdrom' ] ; then
	     exclude="$exclude `echo $n | cut -d/ -f4`"
	fi
done

[ ! -s '/etc/evms.conf' ] ||
    sed -i -e "0,/^sysfs_devices /{p;d}; s/^\([[:space:]]*\)exclude = \[ \]/\1exclude = [$exclude loop* ]/" \
	/etc/evms.conf

[ ! -e /proc/sys/dev/raid/speed_limit_min ] ||
	cat /proc/sys/dev/raid/speed_limit_min > /proc/sys/dev/raid/speed_limit_max
